// (C) 2019 GoodData Corporation
import React from "react";
export const DateFilterHeader = ({ children, changeRoute, ...otherProps }) => {
    return (React.createElement("button", { className: "gd-extended-date-filter-header s-do-not-close-dropdown-on-click", onClick: (e) => {
            e.preventDefault();
            changeRoute(null);
        }, ...otherProps },
        React.createElement("span", { className: "gd-icon-navigateleft" }),
        "\u2003",
        children));
};
//# sourceMappingURL=DateFilterHeader.js.map