import React from "react";
import { WrappedComponentProps } from "react-intl";
interface IDateTimePickerAccessibilityConfig {
    dateAriaLabel?: React.AriaAttributes["aria-label"];
    timeAriaLabel?: React.AriaAttributes["aria-label"];
}
interface IDateTimePickerOwnProps {
    placeholderDate: string;
    dateFormat: string;
    onChange: (value: Date) => void;
    value: Date;
    handleDayClick: () => void;
    isMobile: boolean;
    isTimeEnabled: boolean;
    className: string;
    onKeyDown: (e: React.KeyboardEvent<HTMLInputElement>) => void;
    defaultTime?: string;
    error?: boolean;
    accessibilityConfig?: IDateTimePickerAccessibilityConfig;
}
type DateTimePickerComponentProps = IDateTimePickerOwnProps & WrappedComponentProps;
declare const DateTimePickerWithInt: React.ForwardRefExoticComponent<Omit<import("react-intl").WithIntlProps<React.PropsWithChildren<IDateTimePickerOwnProps & WrappedComponentProps & React.RefAttributes<HTMLInputElement>>>, "ref"> & React.RefAttributes<any>> & {
    WrappedComponent: React.ComponentType<IDateTimePickerOwnProps & WrappedComponentProps & React.RefAttributes<HTMLInputElement>>;
};
export type { DateTimePickerComponentProps };
export { DateTimePickerWithInt };
//# sourceMappingURL=DateTimePicker.d.ts.map